net.minecraft.potion

## Class PotionHelper

- java.lang.Object
- - net.minecraft.potion.PotionHelper

-     public class PotionHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `blazePowderEffect`
    `static java.lang.String` | `fermentedSpiderEyeEffect`
    `static java.lang.String` | `field_151423_m`
    `static java.lang.String` | `field_77924_a`
    `static java.lang.String` | `ghastTearEffect`
    `static java.lang.String` | `glowstoneEffect`
    `static java.lang.String` | `goldenCarrotEffect`
    `static java.lang.String` | `gunpowderEffect`
    `static java.lang.String` | `magmaCreamEffect`
    `static java.lang.String` | `redstoneEffect`
    `static java.lang.String` | `speckledMelonEffect`
    `static java.lang.String` | `spiderEyeEffect`
    `static java.lang.String` | `sugarEffect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PotionHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `applyIngredient(int par0, java.lang.String par1Str)`
    `static int` | `calcPotionLiquidColor(java.util.Collection par0Collection)`
    `static boolean` | `checkFlag(int par0, int par1)`
    `static java.lang.String` | `func_77905_c(int par0)`
    `static int` | `func_77908_a(int par0, int par1, int par2, int par3, int par4, int par5)`
    `static int` | `func_77909_a(int par0)`
    `static int` | `func_77915_a(int par0, boolean par1)`
    `static boolean` | `func_82817_b(java.util.Collection par0Collection)`
    `static java.util.List` | `getPotionEffects(int par0, boolean par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_77924_a

          public static final java.lang.String field_77924_a

    - #### sugarEffect

          public static final java.lang.String sugarEffect

    - #### ghastTearEffect

          public static final java.lang.String ghastTearEffect

      See Also:
        Constant Field Values

    - #### spiderEyeEffect

          public static final java.lang.String spiderEyeEffect

    - #### fermentedSpiderEyeEffect

          public static final java.lang.String fermentedSpiderEyeEffect

    - #### speckledMelonEffect

          public static final java.lang.String speckledMelonEffect

    - #### blazePowderEffect

          public static final java.lang.String blazePowderEffect

    - #### magmaCreamEffect

          public static final java.lang.String magmaCreamEffect

    - #### redstoneEffect

          public static final java.lang.String redstoneEffect

    - #### glowstoneEffect

          public static final java.lang.String glowstoneEffect

    - #### gunpowderEffect

          public static final java.lang.String gunpowderEffect

    - #### goldenCarrotEffect

          public static final java.lang.String goldenCarrotEffect

    - #### field_151423_m

          public static final java.lang.String field_151423_m

  - ### Constructor Detail

    - #### PotionHelper

          public PotionHelper()

  - ### Method Detail

    - #### checkFlag

          public static boolean checkFlag(int par0,
                          int par1)

    - #### func_77909_a

          public static int func_77909_a(int par0)

    - #### calcPotionLiquidColor

          public static int calcPotionLiquidColor(java.util.Collection par0Collection)

    - #### func_82817_b

          public static boolean func_82817_b(java.util.Collection par0Collection)

    - #### func_77915_a

          public static int func_77915_a(int par0,
                         boolean par1)

    - #### func_77905_c

          public static java.lang.String func_77905_c(int par0)

    - #### getPotionEffects

          public static java.util.List getPotionEffects(int par0,
                                        boolean par1)

    - #### applyIngredient

          public static int applyIngredient(int par0,
                            java.lang.String par1Str)

    - #### func_77908_a

          public static int func_77908_a(int par0,
                         int par1,
                         int par2,
                         int par3,
                         int par4,
                         int par5)